clearing the active selection set

Discussion in 'AutoCAD' started by Mark Dubbelaar, Aug 19, 2003.

  1. hi

    i have a routine, that when i double click a dimension it opens the mtext
    editor, the problem is after i edit a dimension, using the routine, then
    enter model space through a viewport... then try and enter paper space, the
    routine begins the ddedit command and stops autocad returning to paper
    space.... i've tried 'thisdrawing.activeselectionset.clear' but with the
    same results....

    any help would be great

    'code
    Private Sub AcadDocument_BeginDoubleClick(ByVal PickPoint As Variant)

    On Error GoTo ErrorZeroSS

    If ThisDrawing.ActiveSelectionSet.Count = 1 Then
    Dim ssEntity As AcadEntity

    For Each ssEntity In ThisDrawing.ActiveSelectionSet
    If UCase(ssEntity.ObjectName) Like "*DIM*" Then
    ThisDrawing.SendCommand "DDEDIT "
    If UCase(ssEntity.ObjectName) Like "*POLYLINE*" Then
    ThisDrawing.SendCommand "PEDIT "
    Next ssEntity

    ThisDrawing.ActiveSelectionSet.Clear
    End If

    Exit Sub


    ErrorZeroSS:

    Debug.Print Err.Description

    End Sub



    cheers

    mark
     
    Mark Dubbelaar, Aug 19, 2003
    #1
  2. Mark Dubbelaar

    Michel Guest

    Hi Mark, do you have any other events programmed that might trigger the ddedit command? I placed your example code in a new project and it worked fine. Michel
     
    Michel, Aug 19, 2003
    #2
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.